Get account transfer history
curl --request GET \
--url https://testnet.edel-api.xyz/v1/accounts/{accountId}/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://testnet.edel-api.xyz/v1/accounts/{accountId}/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testnet.edel-api.xyz/v1/accounts/{accountId}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "external-transfer-history/v1",
"accountId": "<string>",
"transfers": [
{
"transferId": "<string>",
"accountId": "<string>",
"kind": "deposit",
"asset": "<string>",
"amountAtoms": "<string>",
"amount": "<string>",
"status": "credited",
"cantonEventId": "<string>",
"updatedAtEpochMs": 1,
"lastSequence": 1
}
],
"nextCursor": "<string>",
"freshness": {
"status": "fresh",
"degradedState": "none",
"journalSequence": 1,
"asOfEpochMs": 1,
"projectorLagMs": 1,
"dbReplicaLagMs": 1,
"backfillStatus": "live"
},
"kind": "deposit"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}Accounts
Get account transfer history
Returns paginated deposits and withdrawals for an account from the lagging projection. The cursor is a base64url JSON object containing updatedAtEpochMs and transferId.
Method and path: GET /v1/accounts//transfers
Authentication: DFNS trader bearer required.
Request schema: none.
Response schema: ExternalTransferHistoryResponse.
Error envelope: ExternalRestError (external-rest-error/v1).
GET
/
v1
/
accounts
/
{accountId}
/
transfers
Get account transfer history
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Query Parameters
Optional transfer kind filter.
Available options:
deposit, withdrawal Page size, from 1 to 100. Defaults to 50.
Required range:
x <= 100Base64url JSON cursor with updatedAtEpochMs and transferId.
Minimum string length:
1Response
Success
Allowed value:
"external-transfer-history/v1"Minimum string length:
1Show child attributes
Show child attributes
Minimum string length:
1Show child attributes
Show child attributes
Available options:
deposit, withdrawal